%define major 0
%define libname %mklibname px %major
%define develname %mklibname -d px

Summary: A library to read Paradox DB files
Name: pxlib
Version: 0.6.4
Release: %mkrel 5
License: GPL
Group: System/Libraries
Url: http://pxlib.sourceforge.net/
Source: http://prdownloads.sourceforge.net/pxlib/%{name}-%{version}.tar.gz
BuildRequires: autoconf2.5 >= 2.54
BuildRequires: sqlite-devel
BuildRequires: libgsf-devel
BuildRequires: intltool
BuildRequires: docbook-to-man docbook-utils
BuildRequires: libglib2.0-devel

%description
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n %libname
Group: System/Libraries
Summary: A library to read Paradox DB files
Requires: %name >= %version

%description -n %libname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%package -n %develname
Summary: A library to read Paradox DB files (Development)
Group: Development/C
Requires: %libname = %{version}
Provides: libpx-devel = %{version}-%release
Obsoletes: %mklibname -d px 0

%description -n %develname
pxlib is a simply and still small C library to read Paradox DB files. It
supports all versions starting from 3.0. It currently has a very limited set of
functions like to open a DB file, read its header and read every single record.

%prep
%setup -q

%build
export CPPFLAGS="%optflags `pkg-config --cflags glib-2.0`"
%configure2_5x  --with-sqlite --with-gsf --disable-static
%make LIBS=-lm

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall_std
%find_lang %name

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog

%files -n %libname
%defattr(-,root,root)
%_libdir/libpx.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_includedir/*
%_mandir/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-5.mga3
+ Revision: 378377
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 21 2011 fwang <fwang> 0.6.4-4.mga2
+ Revision: 146352
- drop .la files

* Fri Feb 25 2011 ennael <ennael> 0.6.4-3.mga1
+ Revision: 59142
- clean spec file
- imported package pxlib

